### Enumeration

# GWeather ConditionQualifier

since: 4.0

#### Declaration

    enum GWeather.ConditionQualifier

#### Description [src]

An additional modifier applied to a `GWeatherConditionPhenomenon` to describe the current or forecasted weather conditions.

The exact meaning of each qualifier is described at http://www.weather.com/glossary/ and http://www.crh.noaa.gov/arx/wx.tbl.php.

Available since: 4.0

#### Members

`GWEATHER_QUALIFIER_INVALID`

  Value not available.

  - Value: `-1`
  - Nickname: `invalid`
  - Available since: 4.0
`GWEATHER_QUALIFIER_NONE`

  No qualifier for the phenomenon.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GWEATHER_QUALIFIER_VICINITY`

  Phenomenon happening in the proximity of the location, not in the actual location.

  - Value: `1`
  - Nickname: `vicinity`
  - Available since: 4.0
`GWEATHER_QUALIFIER_LIGHT`

  Phenomenon is light or predicted to be light.

  - Value: `2`
  - Nickname: `light`
  - Available since: 4.0
`GWEATHER_QUALIFIER_MODERATE`

  Phenomenon is moderate or predicted to be moderate.

  - Value: `3`
  - Nickname: `moderate`
  - Available since: 4.0
`GWEATHER_QUALIFIER_HEAVY`

  Phenomenon is heavy or predicted to be heavy.

  - Value: `4`
  - Nickname: `heavy`
  - Available since: 4.0
`GWEATHER_QUALIFIER_SHALLOW`

  Shallow fog (only valid with `GWEATHER_PHENOMENON_FOG`)

  - Value: `5`
  - Nickname: `shallow`
  - Available since: 4.0
`GWEATHER_QUALIFIER_PATCHES`

  Patches of fog (only valid with `GWEATHER_PHENOMENON_FOG`)

  - Value: `6`
  - Nickname: `patches`
  - Available since: 4.0
`GWEATHER_QUALIFIER_PARTIAL`

  Partial fog (only valid with `GWEATHER_PHENOMENON_FOG`)

  - Value: `7`
  - Nickname: `partial`
  - Available since: 4.0
`GWEATHER_QUALIFIER_THUNDERSTORM`

  Phenomenon will be a thunderstorm and/or will include lightning.

  - Value: `8`
  - Nickname: `thunderstorm`
  - Available since: 4.0
`GWEATHER_QUALIFIER_BLOWING`

  Phenomenon is blowing (valid with `GWEATHER_PHENOMENON_SNOW`, `GWEATHER_PHENOMENON_SAND`, `GWEATHER_PHENOMENON_SPRAY`, `GWEATHER_PHENOMENON_DUST`)

  - Value: `9`
  - Nickname: `blowing`
  - Available since: 4.0
`GWEATHER_QUALIFIER_SHOWERS`

  Phenomenon is heavy and involves showers.

  - Value: `10`
  - Nickname: `showers`
  - Available since: 4.0
`GWEATHER_QUALIFIER_DRIFTING`

  Phenomenon is moving across (valid with `GWEATHER_PHENOMENON_SAND` and `GWEATHER_PHENOMENON_DUST`)

  - Value: `11`
  - Nickname: `drifting`
  - Available since: 4.0
`GWEATHER_QUALIFIER_FREEZING`

  Phenomenon is freezing and involves ice.

  - Value: `12`
  - Nickname: `freezing`
  - Available since: 4.0
`GWEATHER_QUALIFIER_LAST`

  Maximum value of the enumeration.

  - Value: `13`
  - Nickname: `last`
  - Available since: 4.0